aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sign-sync-binpackages.sh')
-rwxr-xr-xsign-sync-binpackages.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/sign-sync-binpackages.sh b/sign-sync-binpackages.sh
index 862cea9..4c85365 100755
--- a/sign-sync-binpackages.sh
+++ b/sign-sync-binpackages.sh
@@ -53,9 +53,9 @@ if [[ -f ${LOCKFILE} ]] ; then
echo sign-sync-binpackages.sh lockfile ${LOCKFILE} exists, aborting
exit 112
fi
-touch ${LOCKFILE} || exit 110
+touch "${LOCKFILE}" || exit 110
# ensure the lock is cleaned on exit
-trap "rm -f ${LOCKFILE}" SIGINT SIGTERM
+trap 'rm -f "${LOCKFILE}"' SIGINT SIGTERM EXIT
# make sure we have an updated gpg-agent
gpgconf --kill all